<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 
	

	<!--MENU-ITEM-->
<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
	        <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
					<td class="submenu" style="padding-left: 5px; width: 100%; height: 24px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>
						<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
						<td style="padding-left: 5px; width: 100%; height: 24px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
				</xsl:if>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td style="background-image: url('images/amenu_bg.gif');padding-left:5px;"><a href="{@HREF}" class="amenu"><img src="images/abullet.gif" align="absmiddle" border="0" style="margin-right: 3px"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<xsl:if test="position()!=last()"><td><img src="images/menu_separator.gif" align="absmiddle"/></td></xsl:if>				
			</xsl:when>
			<!-- when active-->
			
			<xsl:otherwise>
				<td style="padding-left:5px;"><a href="{@HREF}" class="menu"><img src="images/bullet.gif" align="absmiddle" border="0" style="margin-right: 3px"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<xsl:if test="position()!=last()"><td><img src="images/menu_separator.gif" align="absmiddle"/></td></xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	

</xsl:stylesheet>
