<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-217 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0" bgcolor="#062533">
  <tr>
    <td width="100%" height="100%" bgcolor="#062533" style="padding-left:70px;padding-right:70px;">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="38" align="left" valign="top">
		   <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
             <tr>
			   <td align="center" valign="top">
                 <table border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
			       <td width="30"></td>
                    <xsl:call-template name="TOP-MENU"/>
                   <td width="30"></td>
                  </tr>
                 </table>
			   </td>
			 </tr>
           </table>
		</td>
      </tr>
      <tr>
        <td height="234" align="left" valign="top">
		<table width="100%" height="234" border="0" cellpadding="0" cellspacing="0" background="images/headers_bjimage.jpg">
              <tr>
                <td align="left" valign="top" style="background-image: url(images/headers.jpg);background-repeat: no-repeat;background-position: left top;">
				  <table width="100%" height="234" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td style="background-image: url(images/headers_2.jpg);background-repeat: no-repeat;background-position: right top;padding-right:20px;"><div align="right">
                          <table width="300" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td height="100"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                            </tr>
                            <tr>
                              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td> 
                            </tr>
							<tr>
                              <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td> 
                            </tr>
                          </table>
                      </div></td>
                    </tr>
                </table></td>
              </tr>
            </table>
		</td>
      </tr>
      <tr>
        <td  width="100%" height="100%"  align="left" valign="top" style="padding-top:6px;padding-bottom:6px;">

		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="100%" height="100%" align="left" valign="top"><img src="images/bj.gif" width="560" height="15"/>
                  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td height="100%" align="left" valign="top"><table cellpadding="0" cellspacing="0" border="0" class="pageContent">
                          <tr>
                            <td  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td class="icon"><img src="images/main_icon.gif" width="17" height="17"/></td>
                          </tr>
                        </table>
                          <br/>
                          <table height="100%" width="100%" align="left" valign="top" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td height="100%" width="100%" valign="top" class="pageContent" name="SB_stretch" ><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                            </tr>
                        </table></td>
                      <td background="images/main_line_bjimage.gif" width="1"><img src="images/main_line_bjimage.gif" width="1" height="1"/></td>
                    </tr>
                  </table></td>
                <td width="1" valign="top" bgcolor="#4B6570"></td>
                <td width="220" height="100%" valign="top" >
				<img src="images/right_thin_line.gif" width="220" height="1"/>
				<br/>
				<table><tr><td><img src="images/space.gif" width="200" height="10"/></td></tr></table>
				<br/>
                    <table width="200" border="0" cellspacing="0" cellpadding="0">
                        <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                  </table></td>
              </tr>
            </table>
		</td>
      </tr>
      <tr>
        <td height="79" align="left" valign="top">
		 <table width="100%" height="79" border="0" cellpadding="0" cellspacing="0" background="images/buttom2.jpg">
                  <tr>
                    <td valign="top" style="background-image: url(images/buttom_bjimage_1.jpg);background-repeat: no-repeat;background-position: left center;">
					  <table width="100%" height="79" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td align="right" valign="top" style="background-image: url(images/buttom_bjimage_3.jpg);background-repeat: no-repeat;background-position: right center;">
                            <table width="92%" height="79" border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                  <td height="40" valign="bottom">
								  <table  border="0" align="center" cellpadding="0" cellspacing="0">
								    <tr>
                                      <xsl:call-template name="BOTTOM-MENU"/>
									</tr>
                                  </table>
								  </td>
                                </tr>
                                <tr>
                                <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                               </tr>
                          </table>
						 </td>
                       </tr>
                    </table>
				   </td>
                 </tr>
            </table>
		</td>
      </tr>
    </table></td>
  </tr>
</table>

	</td>
  </tr>
</table>

</body>
<!--end-->
</html>
</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		 <xsl:when test="@ID=/LAYOUT/@ID">
		   <tr>
		   <td class="iconleft"><img src="images/right_link_icon.gif" width="9" height="7"/></td>
           <td class="smenu"><span class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </tr>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		   <tr>
          <td class="iconleft"><img src="images/right_link_icon.gif" width="9" height="7"/></td>
          <td class="smenu"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </tr>
		  </xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	 <xsl:if test="position()!=last()">
     <tr>
        <td height="10" colspan="3"><div style="height:1px; background-color: #516771; background-repeat: repeat-x;"><span></span></div></td>
      </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
           <!-- when active-->
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
           <td class="bmenu"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       </xsl:when>
       <xsl:otherwise>
           <td class="bmenu"><a href="{@HREF}" class="bmenub" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
	   <xsl:if test="position()!=last()">
        <td class="iconfoot" style="padding-left:15px;padding-right:15px;"><img src="images/buttom_icon.gif" width="7" height="7"/></td>
	  </xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
     	
</xsl:stylesheet>
